Transports

List all transports

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Query parameters
pageintegerOptional

A page number within the paginated result set.

uid__instringOptional

Comma separated list of transport uids.

Example: 4443d4b6-e165-11ea-a488-0242ac110007
uid__not_instringOptional

Comma separated list of transport uids to exclude from results.

Example: 4443d4b6-e165-11ea-a488-0242ac110007
statusstring ยท enumOptionalPossible values:
status__instring ยท enumOptional

Comma separated list of statuses.

Possible values:
created__gtestring ยท date-timeOptional

Filter transports created after or at a certain date

created__ltestring ยท date-timeOptional

Filter transports created before or at a certain date

updated__gtestring ยท date-timeOptional

Filter transports updated after or at a certain date

updated__ltestring ยท date-timeOptional

Filter transports updated before or at a certain date

carrier_referencestringOptional

filter on a particular carrier reference

Example: OT2021-123456
Responses
chevron-right
200Success
application/json
get
/transports/
200Success

Create a transport

post

This will create a transport. You can store your internal transport identifier in the remote_id field.

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Body
remote_idstringOptional

Your transport id. It has to be unique among all your transports

requested_vehiclestring ยท max: 40Optional

Only useful when the transport is created by the shipper. Free text except punction and special characters.

carrier_referencestringOptional

Text that will help the carrier operators manage the transports, e.g. transport number in his TMS

pricenumber ยท float | nullableOptionalDeprecated

Full price for the transport

Example: 250
requires_washingbooleanOptional

Flag to enable the truck washing flow in the mobile app

business_privacybooleanOptional

Flag to enable 'business privacy' mode: no eCMR will be generated, and the trucker won't be prompted to share the transport link.

is_multiple_compartmentsbooleanOptional

Flag to enable 'multiple compartments' mode: truckers will have to select in which compartments loads were loaded. It also generated a specific delivery document : loading_plan.

instructionsstring ยท max: 1000Optional

Operating instructions. The carrier, the shipper and the creator of the transport have access to those instructions. However, the creator is the only who has the right to edit.

volume_display_unitstring ยท enumOptionalDefault: m3Possible values:
transport_operation_category_uidstring ยท uuidOptional

UID of the transport operation category

send_to_truckerbooleanOptional

Flag to send the missions to the assigned truckers. It has no effect on already sent missions.

Default: true
Responses
post
/transports/
201Success

Delete a transport

delete
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired
remote_idstringOptional

If you choose to identify an object with its remote_id instead of its uid then

  • replace the uid value with the remote_id value in the URL

  • specify lookup_field=remote_id in the query parameters

Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Responses
delete
/transports/{uid}/
204

Empty body

No content

Read a transport

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired
remote_idstringOptional

If you choose to identify an object with its remote_id instead of its uid then

  • replace the uid value with the remote_id value in the URL

  • specify lookup_field=remote_id in the query parameters

Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Responses
chevron-right
200Success
application/json
get
/transports/{uid}/
200Success

Partially update a transport

patch
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired
remote_idstringOptional

If you choose to identify an object with its remote_id instead of its uid then

  • replace the uid value with the remote_id value in the URL

  • specify lookup_field=remote_id in the query parameters

Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Body
remote_idstringOptional

Your transport id. It has to be unique among all your transports

requested_vehiclestring ยท max: 40Optional

Only useful when the transport is created by the shipper. Free text except punction and special characters.

carrier_referencestringOptional

Text that will help the carrier operators manage the transports, e.g. transport number in his TMS

pricenumber ยท float | nullableOptionalDeprecated

Full price for the transport

Example: 250
requires_washingbooleanOptional

Flag to enable the truck washing flow in the mobile app

business_privacybooleanOptional

Flag to enable 'business privacy' mode: no eCMR will be generated, and the trucker won't be prompted to share the transport link.

is_multiple_compartmentsbooleanOptional

Flag to enable 'multiple compartments' mode: truckers will have to select in which compartments loads were loaded. It also generated a specific delivery document : loading_plan.

instructionsstring ยท max: 1000Optional

Operating instructions. The carrier, the shipper and the creator of the transport have access to those instructions. However, the creator is the only who has the right to edit.

volume_display_unitstring ยท enumOptionalDefault: m3Possible values:
transport_operation_category_uidstring ยท uuidOptional

UID of the transport operation category

send_to_truckerbooleanOptional

Flag to send the missions to the assigned truckers. It has no effect on already sent missions.

Default: true
Responses
chevron-right
200Success
application/json
patch
/transports/{uid}/
200Success

Last updated

Was this helpful?